Subject: RE: Obscene content in cygwin file.
From: "Gary R. Van Sickle" <[email-masked]>
To: <[email-masked]>
Date: Sat, 8 Jan 2005 17:57:43 -0600

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Joshua Kolden
> Sent: Saturday, January 08, 2005 2:31 PM
> To: Gary R. Van Sickle
> Cc: [email-masked]
> Subject: Re: Obscene content in cygwin file.
> 
> > The question stands:  What is the reason Cygwin should provide this 
> > obscene content?
> 
> This is not the question.

Yes, it is.

>  Cygwin already provides the content.  

Accidentally, and without the knowledge or consent of the user.

> Therefore the question is: should it be removed?

The answer to that is yes.  Again I ask: why should Cygwin provide this
content?

[snip]

> You argue that it should, because you asses some of the 
> content as obscene, and are personally offended by it.  

You're late to the party Josh.  As I stated in my second post on the
subject, I am in no way personally offended by it.  I simply find it purile
and unprofessional.

> Further you imply that removing the package from your own 
> system is inadequate to address this offense. (please correct 
> me if I miss state your argument)
> 

You have almost completely misstated my argument.  Allow me to restate it in
convenient bullet-list form:

- The limericks in question could realistically get somebody fired or sued.
- I am realistically one of the many parties that could conceivably get
sued.
- Red Hat is even more realistically one of the many parties that could
conceivably get sued.
- The limericks in question are installed without the knowledge or consent
of the installer.
- The limericks in question are of interest only to junior-highschool-age
sysadmins and lawyers.
- Redacting the limericks in question from Cygwin will eliminate the risk
they cause.
- Redacting the limericks in question from Cygwin has no realistic chance of
destroying Western democracies or throwing the world into an oppressive
Stalinist nightmare.

[snip]
> Additional, unnecessary, evaluation reveals that while you 
> have two options to address your offense, I would have none 
> if the tables were turned.

You could download the source and build it yourself.  Just like you could
with all the software which isn't provided in the Cygwin distro.  Most of
which contains no questionable material.

-- 
Gary R. Van Sickle

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/